<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="adscripcionesAddId"
                header="Agregar Adscripciones"
                widgetVar="adscripcionesAdd"
                modal="true"
                closable="false"
                resizable="false"                
                draggable="false" >

                <h:panelGroup 
                    id="detalle2Adscripciones">                                      
                    
                    <h:form>
                        <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="10" >
                            <p:column>
                            <p:outputLabel 
                                for="claveUniAdmFk" 
                                value="Clave de la Unidad: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <p:selectOneMenu 
                                id="claveUniAdmFk" 
                                value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.idUniAdmFk}"
                                filter="true" 
                                filterMatchMode="startsWith" 
                                caseSensitive="true"
                                required="true" 
                                requiredMessage="La clave de la unidad es requerida">
                                
                                <f:selectItem 
                                    itemLabel="Selecciona una opción"  />
                                
                                <f:selectItems 
                                    value="#{catUnidadesAdminMB.listadoRhNomnCatUnidadesAdmins}"
                                    var="rhNomnCatUnidadesAdmins"
                                    itemLabel="#{rhNomnCatUnidadesAdmins.cveDescripcion}"
                                    itemValue="#{rhNomnCatUnidadesAdmins.idUniAdm}"/>
                            </p:selectOneMenu>                            
                            </p:column>
                            <p:column>
                            <h:outputLabel 
                                for="clave" 
                                value="Clave: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText
                                id="clave"
                                value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.claveAdscripcion}"
                                onkeyup="toUpperCase(event,this)"
                                maxlength="4"
                                required="true" 
                                requiredMessage="La clave de la adscripción es requerida"
                                validatorMessage="No se permiten caracteres especiales en la clave">
                                
                                <f:validateRegex pattern="[A-Z0-9]*"/>
                            </p:inputText> 
                                                                                   
                            <p:message for="clave"/>
                            </p:column>
                            <p:column> 
                            <h:outputLabel 
                                for="descripcion" 
                                value="Descripción: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                            <p:inputText
                                id="descripcion"
                                value="#{rhNomnAdscripcionesMB.rhNomnAdscripcionesSelected.descripcion}"
                                maxlength="100"
                                onkeyup="toUpperCase(event,this)"
                                style="width: 360px"
                                required="true" 
                                requiredMessage="La descripción es requerida">                                                                
                            </p:inputText>    
                                                                                 
                            <p:message for="descripcion"/>  
                            </p:column>
                           
                        </h:panelGrid>

                        <br/>
                        <div align="right">
                        <p:commandButton                            
                            value="#{translatedMessage['common.label.save']}"
                            style="font-size:  70%"
                            oncomplete="redirect(xhr, status, args, 'AdscripcionesList.jsf');"
                            actionListener="#{rhNomnAdscripcionesMB.saveWithConfirm}" >
                        </p:commandButton>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            style="font-size:  70%"
                            onclick="location = 'AdscripcionesList.jsf';">
                        </p:commandButton>
                        </div>
                       
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
